<template>
  <div class="Page">
    <h1>{{ $t("welcome") }}</h1>
    <p>
      <nuxt-link to="/game">
        To game
      </nuxt-link>
    </p>
    <div>
      <button @click="getPing">
        Get ping
      </button>
      <div>
        GET:
        {{ pingGetValue }}
      </div>
      <button @click="postPing">
        Post ping
      </button>
      <div>
        POST:
        {{ pingPostValue }}
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";

@Component
export default class IndexPage extends Vue {
  pingGetValue: any = {};

  pingPostValue: any = {};

  async getPing() {
    this.pingGetValue = await this.$axios.$get("/ping");
  }

  async postPing() {
    const body = { date: Date.now() };

    this.pingPostValue = await this.$axios.$post("/ping", {
      data: body
    });
  }
}
</script>
